Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.set
Class MappedSet

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.set.ObservableSet
              org.eclipse.core.databinding.observable.set.MappedSet

All Implemented Interfaces:
  Iterable, Collection, Set, IObservable, IObservableCollection, IObservableSet

Deprecated. This class is deprecated.

    public class MappedSet

extends ObservableSet

This class is thread safe. All state accessing methods must be invoked from the `current realm`. Methods for adding and removing listeners may be invoked from any thread.

Since:
  1.0

Field Summary

Fields inherited from class org.eclipse.core.databinding.observable.set.ObservableSet
`elementType, wrappedSet`

Constructor Summary
`MappedSet(IObservableSet input, IObservableMap map)` Deprecated.

Method Summary
`protected void` `addListener(Object listenerType, IObservablesListener listener)`
`protected Object` `clone()`
`void` `dispose()` Deprecated. Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.
`protected void` `fireEvent(ObservableEvent event)`
`protected void` `firstListenerAdded()`
`Realm` `getRealm()`
`protected boolean` `handleAddition(Object mapValue)` Deprecated.
`protected boolean` `handleRemoval(Object mapValue)` Deprecated.
`protected boolean` `hasListeners()`
`protected void` `lastListenerRemoved()`
`protected void` `removeListener(Object listenerType, IObservablesListener listener)`

Methods inherited from class org.eclipse.core.databinding.observable.set.ObservableSet
`add, addAll, addSetChangeListener, clear, contains, containsAll, equals, fireChange, fireSetChange, getElementType, getterCalled, hashCode, isEmpty, isStale, iterator, remove, removeAll, removeSetChangeListener, retainAll, setStale, setWrappedSet, size, toArray, toArray, toString`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### MappedSet

    public MappedSet(IObservableSet input,
                     IObservableMap map)

  Deprecated.
  Parameters:
    `input` -
    `map` -

Method Detail

### handleAddition

    protected boolean handleAddition(Object mapValue)

  Deprecated.
  Parameters:
    `mapValue` -
  Returns:
    true if the given mapValue was an addition

### handleRemoval

    protected boolean handleRemoval(Object mapValue)

  Deprecated.
  Parameters:
    `mapValue` -
  Returns:
    true if the given mapValue has been removed

### dispose

    public void dispose()

  Deprecated.
  Description copied from interface: `IObservable`
  Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `ObservableSet`

### addListener

    protected void addListener(Object listenerType,
                               IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### removeListener

    protected void removeListener(Object listenerType,
                                  IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent event)

### firstListenerAdded

    protected void firstListenerAdded()

### lastListenerRemoved

    protected void lastListenerRemoved()

### getRealm

    public Realm getRealm()

  Returns:
    Returns the realm.

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.